using Forks.EnterpriseServices.DataDictionary;
using Forks.EnterpriseServices.DomainObjects2;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ButcherFactory.BO 
{
    [MapToTable("Butcher_TotalCode")] 
    public class TotalCode : SyncBill
    {
        public string BarCode { get; set; }
       
        private short _goodsType=1;
        [DbColumn(DefaultValue = 1)]
        public short GoodsType { 
            get { return _goodsType; } 
            set { _goodsType = value; }
        }

        [DbColumn(DefaultValue = 0)]
        public bool NoTotalCode { get; set; }

        [NonDmoProperty]
        public string ShortCode
        {
            get
            {
                if (string.IsNullOrEmpty(BarCode))
                    return ""; 
                if (BarCode.Length>4)
                    return BarCode.Substring(BarCode.Length-4);
                return BarCode;
            }
        }
    }
}
